Subject: Re: bug#29165: 26.0.90; can't use some code byte-compiled under emacs 24

From: Noam Postavsky <[email-masked]>
Date: Mon, 6 Nov 2017 09:35:31 -0500

On Mon, Nov 6, 2017 at 9:24 AM, Drew Adams <[email-masked]> wrote:

>> We should perhaps put something about throwing error on '&option &rest'
>> into NEWS though.
>
> I don't understand.  In Common Lisp it is perfectly correct
> to use both &optional and &rest.

What's rejected is (&optional &rest other-vars), whereas (&optional
var1 &rest other-vars) is okay. Does CL accept the first form (and if
yes, what does it mean)? I couldn't tell from the page you linked to.